> For the complete documentation index, see [llms.txt](https://docs.tzmc.dev/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tzmc.dev/docs/qb-core/cyberbar-job/config.md).

# Config

```lua
TZMCCyberBarJobConfig = {}
 
--[[
 
    INSTALLATION
    
    MAP
 
        This script requires Cyber Bar V2, you can download it here: https://www.gta5-mods.com/maps/mlo-cyber-bar-fivem-sp
 
    nh-context
 
        This script requires nh-context which you can install here: https://github.com/nerohiro/nh-context
 
    QB ITEMS
 
        Example drinks are below if you would like to use them, you will need to install the ingredients to QB. Installing the cocktail item is mandatory for this script. You can do this by following these instructions:
        
        1.  Navigate to .../[qb]/qb-core/shared/items.lua
        2.  Scroll to the bottom of the item list and paste the following text - https://pastebin.com/tuivY8R3 - It should look like this https://ibb.co/whQBMNt
        3.  Once added, navigate to .../[qb]/qb-inventory/html/images/ - Paste the following pictures into the images folder https://drive.google.com/file/d/1xOlpKqm-soIUzfGX_JVJTmlDun3vbrbB/view?usp=share_link.
        4.  To add the cocktail description, navigate to .../[qb]/qb-inventory/html/js/app.js
        5.  Scroll down to around line 400 where you should see a function called 'FormatItemInfo'. Paste the following text before you see the words 'else if' - https://pastebin.com/mwQjzBWJ - It should look like this https://ibb.co/NFJX66D
        6.  You are now done, if you're having issues please contact hello@tzmc.dev and we can help out. 
 
    QB INVENTORY LABELS
    
        1. Navigate to ..[qb]\qb-inventory\server\main.lua
        2. Navigate to around line 632 just below the if statement "if other then"
        3. Underneath that if statement, paste the following text
 
            if other.label == nil then
                secondInv.label = "Stash-"..id
            else
                secondInv.label = other.label
            end
        
        4. Once pasted, delete the duplicate "secondInv.name = "stash-"..id" that is underneath the if statement you just pasted. 
        5. You're done, it should look like this. https://ibb.co/31pXjWL
        
    JOB 
 
        1. Navigate to ..[qb]/qb-core/shared/jobs.lua
        2. Head to the bottom of the file and add the following text - https://pastebin.com/duKtyeht - It should look like this https://ibb.co/nDpB4VJ
        3. Once added, navigate to ...[qb]/qb-phone/server/main.lua
        4. Navigate to QBCore.Commands.Add('bill'... around line 1065
        5. Replace the first if statement condition with the following text - https://pastebin.com/ebqtJR0s - It should look like this https://ibb.co/h7NBBxc
 
]]--
 
--[[
 
    DRINKS
    
    { 
        name = The name of the cocktail,
        context = This is the description of the cocktail,
        disabled = bool value for having the cocktail enabled or not,
        image = image of the cocktail,
        itemsRequired = { -- Items that are required
            [itemName] = amount,
            [itemName] = amount
        },
    },
]]--
 
 
TZMCCyberBarJobConfig.CocktailsMaker = {
    { 
        name = "Pineapple Paloma",
        context = "A Pineapple Paloma that requires Tequila, Grapefruit, Pineapple, Lime & Soda Water",
        disabled = false,
        image = "https://www.makemycocktail.com/images/cocktails/PineapplePaloma.jpg",
        itemsRequired = {
            ["tequila"] = 1,
            ["grapefruit"] = 1,
            ["pineapple"] = 1,
            ["lime"] = 1,
            ["sodawater"] = 1
        },
    },
    { 
        name = "Bocce Ball",
        context = "A Bocce Ball that requires Vodka, Almond Liqueur, Orange & Soda Water",
        disabled = false,
        image = "https://www.makemycocktail.com/images/cocktails/BocceBall.jpg",
        itemsRequired = {
            ["vodka"] = 1,
            ["almondliqueur"] = 1,
            ["orange"] = 1,
            ["sodawater"] = 1
        },
    },
    { 
        name = "Gentle Ben",
        context = "A Gentle Ben that requires Vodka, Gin, Tequila & Orange",
        disabled = false,
        image = "https://www.makemycocktail.com/images/cocktails/GentleBen.jpg",
        itemsRequired = {
            ["vodka"] = 1,
            ["gin"] = 1,
            ["tequila"] = 1,
            ["orange"] = 1
        },
    },
    { 
        name = "Zombie",
        context = "A Zombie that requires Rum, Pineapple, Lime & Orange",
        disabled = false,
        image = "https://www.makemycocktail.com/images/cocktails/Zombie.jpg",
        itemsRequired = {
            ["rum"] = 1,
            ["pineapple"] = 1,
            ["lime"] = 1,
            ["orange"] = 1
        },
    },
    { 
        name = "Bay Breeze",
        context = "A Bay Breeze that requires Vodka, Cranberry & Pineapple",
        disabled = false,
        image = "https://www.makemycocktail.com/images/cocktails/BayBreeze.jpg",
        itemsRequired = {
            ["vodka"] = 1,
            ["cranberry"] = 1,
            ["pineapple"] = 1
        },
    },
    { 
        name = "Black Watch",
        context = "A Black Watch that requires Whiskey, Coffee Liqueur & Soda Water",
        disabled = false,
        image = "https://www.makemycocktail.com/images/cocktails/BlackWatch.jpg",
        itemsRequired = {
            ["whiskey"] = 1,
            ["coffeeliqueur"] = 1,
            ["sodawater"] = 1
        },
    },
    { 
        name = "Bulldog Highball",
        context = "A Bulldog Highball that requires Gin, Ginger Ale & Orange",
        disabled = false,
        image = "https://www.makemycocktail.com/images/cocktails/BulldogHighball.jpg",
        itemsRequired = {
            ["gin"] = 1,
            ["orange"] = 1,
            ["gingerale"] = 1
        },
    },
    { 
        name = "French Martini",
        context = "A French Martini that requires Vodka, Raspberry Liqueur & Pineapple",
        disabled = false,
        image = "https://www.makemycocktail.com/images/cocktails/FrenchMartini.jpg",
        itemsRequired = {
            ["vodka"] = 1,
            ["raspberryliqueur"] = 1,
            ["pineapple"] = 1
        },
    },
    { 
        name = "Gin Buck",
        context = "A Gin Buck that requires Gin, Lemon & Ginger Ale",
        disabled = false,
        image = "https://www.makemycocktail.com/images/cocktails/GinBuck.jpg",
        itemsRequired = {
            ["gin"] = 1,
            ["lemon"] = 1,
            ["gingerale"] = 1
        },
    },
    { 
        name = "Gin Rickey",
        context = "A Gin Rickey that requires Gin, Lime & Soda Water",
        disabled = false,
        image = "https://www.makemycocktail.com/images/cocktails/GinRickey.jpg",
        itemsRequired = {
            ["gin"] = 1,
            ["lime"] = 1,
            ["sodawater"] = 1
        },
    },
}
 
-- STASH CONFIG --
 
TZMCCyberBarJobConfig.DrinkCollectionStashName = "Counter"
TZMCCyberBarJobConfig.DrinkCollectionStash = {
    weight = 100,
    slots = 5
}
 
TZMCCyberBarJobConfig.FridgeCollectionStashName = "Fridge"
TZMCCyberBarJobConfig.FridgeStash = {
    weight = 100000,
    slots = 50
}
 
-- TARGET --
 
TZMCCyberBarJobConfig.OpenText = "Open"
TZMCCyberBarJobConfig.DrinkCollectionIcon = "fa-solid fa-martini-glass-citrus"
 
TZMCCyberBarJobConfig.OnOffDuty = "On/Off Duty"
TZMCCyberBarJobConfig.OnOffDutyIcon = "fa-solid fa-clipboard"
 
TZMCCyberBarJobConfig.CreateCocktail = "Create Cocktail"
TZMCCyberBarJobConfig.CreateCocktailIcon = "fa-solid fa-martini-glass-citrus"
 
-- PROGRESS BAR --
 
TZMCCyberBarJobConfig.MakingCocktail = "Making Cocktail"
TZMCCyberBarJobConfig.ProgressBarTime = 7 -- How many seconds to make a cocktail (Anything above 6 seconds is recommended for the animation)
 
-- NOTIFICATIONS --
 
TZMCCyberBarJobConfig.UseQBNotify = true
TZMCCyberBarJobConfig.NotificationEvent = "" -- If you're using your own notification system, enter the event here. If you leave this blank and set QBNotify to false this will use the FiveM chat to notify the player. The parameters are (text, status) Status can be either 'success' or 'error'.
 
TZMCCyberBarJobConfig.SuccessTitle = 'Success'
TZMCCyberBarJobConfig.ErrorTitle = 'Error'
TZMCCyberBarJobConfig.NoItems = "Seems that you don't have enough items to craft this."
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tzmc.dev/docs/qb-core/cyberbar-job/config.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
